<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @copyright 2011
 */
 
/*-----------------------------------------------------------------------------------*/
/*      Start WordpressThemeStock Function - http://wordpressthemestock.com          */
/*-----------------------------------------------------------------------------------*/

/* ------- WTS FRAMEWORK INIT - ADMIN HTML -------- */

// Set path to WTS themes admin options and specific functionality

function C2_admin_panel(){
    
    global $themename,$theme_shortname,$theme_version,$C2_framwork_version;
    $link=get_bloginfo('template_directory');
    $settings = C2_settings();
    if($_POST['save']=='Y'){
        C2_save_option($_POST,$settings);
    }
    $categories=  get_categories(); 
    $pages= get_pages( $args ); 
    
    $save_data =  get_option(OPTION_PRE.'options');
    $is_default=($save_data[OPTION_PRE.'default']==1 or !$save_data) ? true : false ;
    
?>
    <div id="big_wrapper">
    <?php if($_POST['save']=='Y'){ ?>
            <div id="message" class="updated below-h2"><p><strong><?php echo $themename; ?> Settings Saved</strong></p></div>
    <?php } ?>
    <div id="ks_wrapper">
        <div id="ks_header">
            <div class="logo">
                <h1><?php echo $themename; ?> Theme Options</h1>
            </div>
            <ul class="theme_info">
                <li><a href="#">View Changelog</a></li>
                <li><a href="#">Theme Docs</a></li>
                <li><a href="http://www.wordpressthemestock.com">Theme Homepage</a></li>
            </ul>
            <ul class="theme_version">
                <li><span><?php echo $themename ?> theme version : <?php echo $theme_version ?></span></li>
                <li><span>C2 framwork version : <?php echo $C2_framwork_version ?></span></li>
            </ul>
            <div class="icon-option"> </div>
        </div><!--/ks_header -->
        <div id="ks_content">
            <div id="ks_left"> 
                <ul class="tabs">
                    <?php foreach($settings as $k=>$v): ?>
                     <li><a href="#<?php echo $k; ?>"><?php echo $v['tab_title']; ?></a></li>
                     <?php  endforeach; ?>
                </ul>
            </div>
            
            <div id="ks_right">
                <form action="" method="post" id="theme_option_form" enctype="multipart/form-data">
                    <input type="hidden" name="save" value="Y" />
                    <?php foreach($settings as $k=>$v): ?>
                     <div id="<?php echo $k; ?>" class="tab_content">
                        <!--Content-->
                        <div class="setting_content"> <!-- ////////////////////// -->
                           <?php foreach($v['inputs'] as $input) : ?>
                           
                           <?php switch($input['type']){  
                            /** TEXT & PASSWORD ############################################################ -- */
                                case 'text': case 'password':
                                ?> 
                                    <div class="section section-text">
                                            <h3 class="heading"><?php echo $input['title']; ?></h3>
                                            <div class="option">
                                                <div class="control <?php echo $input['color'] == true ? ' control_color' : ''; ?>">
                                                    <?php  
                                                        $save_value=htmlspecialchars($save_data[$input['name']]); 
                                                        if($is_default){
                                                            $save_value=$save_data['default_value'];
                                                        }
                                                     ?>
                                                    <?php switch ($input['type']){ 
                                                        case 'text' : ?>
                                                            <input type="text" class="regular-text <?php echo ($input['color'] == true) ? ' ' : 'ks_input'; ?> code<?php echo ($input['color']==true) ? ' color' : ''; ?>" value="<?php echo $save_value; ?>" id="<?php echo OPTION_PRE.$input['name']; ?>" name="<?php echo OPTION_PRE.$input['name']; ?>"/>
                                                        <?php break; 
                                                        case 'password' : ?>
                                                           
                                                            <input type="password" class="ks_input regular-text code" value="<?php echo $save_value; ?>" id="<?php echo OPTION_PRE.$input['name']; ?>" name="<?php echo OPTION_PRE.$input['name']; ?>"/>
                                                        <?php break;?>
                                                    <?php } // end switch ?>
                                                </div>
                                                <div class="explain">
                                                    <?php echo $input['desc']; ?>
                                                </div>
                                                <div class="clear"></div>
                                            </div>
                                        </div>
                                    <?php
                                   break;  
                                     /** END TEXT & PASSWORD ############################################################ -- */
                                    /** SELECT ############################################################ */
                                   case 'select' :
                                   ?>
                                   
                                   <div class="section section-select">
                                        <h3 class="heading"><?php echo $input['title']; ?></h3>
                                        <div class="option">
                                            <div class="control">
                                                <?php 
                                                $save_value=$save_data[$input['name']]; 
                                                    if($is_default){
                                                        $save_value=$save_data['default_value'];
                                                    }
                                                        
                                                 if(is_string($save_value)){
                                                    $save_value=(array) $save_value;
                                                 }
                                                 if(!$save_value){
                                                    $save_value=array();
                                                 }   
                                                          
                                                $class="select_one";
                                                $name=OPTION_PRE.$input['name'];
                                                $multiple=null;
                                                 if($input['multiple']){
                                                    $multiple='multiple="multiple"';
                                                    $class='select_multiple';
                                                    $name.='[]';
                                                 }    
                                                 ?>
                                                <select class="ks_input <?php echo $class; ?>" name="<?php echo $name; ?>" id="<?php echo OPTION_PRE.$input['name'] ?>" <?php echo $multiple; ?>>
                                                    <?php if(is_array($input['options'])):  ?>
                                                    <?php foreach( $input['options'] as $option): ?>
                                                       <option value="<?php echo htmlspecialchars($option['value']); ?>" <?php echo (in_array($option['value'],$save_value)) ? 'selected="selected"' : ''; ?>><?php echo htmlspecialchars($option['label']); ?></option>
                                                    <?php  endforeach; ?>
                                                    <?php endif;  ?>
                                                </select>
                                            </div>
                                            <div class="explain">
                                                <?php echo $input['desc']; ?>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                   
                                   <?php
                                   break ; 
                                   /** END SELECT ############################################################ */
                                   
                                   /** LAYOUT ############################################################ */
                                   case 'layout':
                                   ?>
                                   <div class="section section-radio">
                                        <h3 class="heading"><?php echo $input['title']; ?></h3>
                                        <div class="option">
                                            <div class="control_layout">
                                                 <?php 
                                                 $save_value=$save_data[$input['name']];  
                                                 
                                                 // echo var_dump($save_value);
                                                 if(is_array($input['options'])):  
                                                
                                                 foreach( $input['options'] as $option): 
                                                    $default=$option['checked'];
                                                   // echo var_dump($default);
                                                    $class="layout_display_none_select";
                                                    $checked=null;

                                                    if($save_value==$option['value'] ):
                                                        $checked='checked="checked"' ;
                                                        $class= "layout_display_select";
                                                    elseif($save_value=='' and $default):
                                                   
                                                        $checked='checked="checked"' ;
                                                        $class= "layout_display_select";
                                                    endif;
                                                  ?>
                                                    <div class="layout_div">
                                                        <label class="layout_lable" for="<?php echo OPTION_PRE.$input['name'].$option['value']; ?>">
                                                            <span class="layout_display <?php echo $class; ?>">
                                                               <span class="layout_img"  <?php echo ($option['img_src']!='') ? 'style="background: url('.$option['img_src'].')" 0 0;' : ''; ?>>
                                                                
                                                               </span> 
                                                            </span>                                            
                                                        </label>
                                                    
                                                        <div class="display_none">
                                                            <input class="layout_input" type="radio" value="<?php echo $option['value']; ?>" name="<?php echo OPTION_PRE.$input['name'] ?>" id="<?php echo OPTION_PRE.$input['name'].$option['value']; ?>" <?php echo $checked; ?> />
                                                            &nbsp;&nbsp;&nbsp;<label for="<?php echo OPTION_PRE.$input['name'].$option['value']; ?>"><?php echo htmlspecialchars($option['label']); ?></label><br /></div>
                                                        <div class="clear"></div>
                                                    </div>  
                                                 <?php  endforeach; ?>
                                                 <?php endif;  ?>
                                                 <div class="clear"></div>
                                            </div>
                                            <div class="explain_layout">
                                                <?php echo $input['desc']; ?>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>    
                                   <?php
                                   break;
                                    /** END LAYOUT ############################################################ */
                                    
                                    /** RADIO ############################################################ */
                                   case 'radio':
                                   ?>
                                   <div class="section section-radio">
                                        <h3 class="heading"><?php echo $input['title']; ?></h3>
                                        <div class="option">
                                            <div class="control">
                                                 <?php $save_value=$save_data[$input['name']]; 
                                                  ?>
                                                 <?php if(is_array($input['options'])):  ?>
                                                 <?php foreach( $input['options'] as $option): 
                                                 
                                                   if($is_default){
                                                        if($option['checked']){
                                                            $save_value=$option['value'];
                                                        }else{
                                                            $save_value=null;
                                                        }
                                                   }
                                                 
                                                 ?>                                                
                                                     <input type="radio" value="<?php echo $option['value']; ?>" name="<?php echo OPTION_PRE.$input['name'] ?>" id="<?php echo OPTION_PRE.$input['name'].$option['value']; ?>" <?php echo ($save_value==$option['value']) ? 'checked="checked"' : ''; ?> />&nbsp;&nbsp;&nbsp;<label for="<?php echo OPTION_PRE.$input['name'].$option['value']; ?>"><?php echo htmlspecialchars($option['label']); ?></label><br />
                                                 <?php  endforeach; ?>
                                                 <?php endif;  ?>
                                            </div>
                                            <div class="explain">
                                                <?php echo $input['desc']; ?>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>    
                                   <?php
                                   break;
                                    /** END RADIO ############################################################ */
                                    /** CHECKBOX ############################################################ */
                                    case 'checkbox' :
                                    ?>
                                    <div class="section section-checkbox">
                                        <h3 class="heading"><?php echo $input['title']; ?></h3>
                                        <div class="option">
                                            <div class="control">
                                                 <?php if(is_array($input['options'])):  ?>
                                                 <?php foreach( $input['options'] as $option): ?>
                                                    <?php 
                                                    $save_value=$save_data[$option['name']]; 
                                                     if($is_default){
                                                        
                                                        if($option['checked']){
                                                            $save_value=$option['value'];
                                                        }else{
                                                            $save_value=null;  
                                                            }
                                                        }
                                                    
                                                    
                                                    ?>
                                                    <input type="checkbox" value="<?php echo $option['value']; ?>" name="<?php echo OPTION_PRE.$option['name'] ?>" id="<?php echo OPTION_PRE.$option['name']; ?>" <?php echo ($save_value==$option['value']) ? 'checked="checked"' : ''; ?>/>&nbsp;&nbsp;&nbsp;<label for="<?php echo OPTION_PRE.$option['name']; ?>"><?php echo htmlspecialchars($option['label']); ?></label><br />
                                                 <?php  endforeach; ?>
                                                 <?php endif;  ?>
                                            </div>
                                            <div class="explain">
                                                <?php echo $input['desc']; ?>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                    
                                    <?php
                                    break;
                                    /** END CHECKBOX ############################################################ */
                                     /** END TEXTAREA ############################################################ */
                                    case 'textarea':
                                    ?>
                                    <div class="section section-textarea">
                                        <h3 class="heading"><?php echo $input['title']; ?></h3>
                                        <div class="option">
                                            <div class="control">
                                                 <?php $save_value=htmlspecialchars(stripslashes($save_data[$input['name']])); 
                                                        if($is_default){
                                                            $save_value=htmlspecialchars(stripslashes($save_data['default_value']));
                                                        }
                                                 ?>
                                                 <textarea style="width: 100%;" name="<?php echo OPTION_PRE.$input['name']; ?>" id="<?php echo OPTION_PRE.$input['name']; ?>" rows="5" cols="40"><?php echo $save_value; ?></textarea>
                                            </div>
                                            <div class="explain">
                                                <?php echo $input['desc']; ?>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                    
                                    <?php
                                    break;
                                     /** END TEXTAREA ############################################################ */
                                     
                                     /**  UPLOAD ############################################################ */
                                     case 'upload':
                                     ?>
                                     <div class="section section-upload">
                                        <h3 class="heading"><?php echo $input['title']; ?></h3>
                                        <div class="option">
                                            
                                            
                                <script type="text/javascript">
                                                    
                                     //===================UPLOAD 
                                     
                                     function createUploader_<?php echo $input['name']; ?>(){            
                                                var uploader = new qq.FileUploader({
                                                    element: document.getElementById('file-uploader-<?php echo $input['name']; ?>'),
                                                    action: ajaxurl,
                                                    debug: false,
                                                    multiple: false,
                                                  //  sizeLimit: 10240, // max size   
                                                  //  minSizeLimit: 1,  // min size
                                                    params: {action: 'C2_ajax_upload'},
                                                    allowedExtensions: ['jpg', 'jpeg', 'png', 'gif'],
                                                    onSubmit: function(id, fileName){},
                                                    onProgress: function(id, fileName, loaded, total){
                                                        $('#upload_loading_<?php echo $input['name']; ?>').removeClass('display_none');
                                                        
                                                    },
                                                    onComplete: function(id, fileName, responseJSON){
                                                        
                                                      //alert(responseJSON['path']);
                                                      var img_src=responseJSON['url']+'/'+responseJSON['filename'];
                                                      var path=responseJSON['path']+'/'+responseJSON['filename'];
                                                      var img='<img alt="" src="'+img_src+'"/>';
                                                      //  alert(img);
                                                        $('#upload_loading_<?php echo $input['name']; ?>').addClass('display_none');
                                                        $('#file_uploaded_<?php echo $input['name']; ?>').html(img);
                                                        $('#upload_text_<?php echo OPTION_PRE.$input['name']; ?>').val(img_src);
                                                        $('#upload_path_<?php echo OPTION_PRE.$input['name']; ?>').val(path);
                                                        $('#remove_<?php echo $input['name']; ?>').removeClass('display_none');
                                                        
                                                    },
                                                    onCancel: function(id, fileName){},
                                                    showMessage: function(message){ alert(message); }
                                    
                                                });           
                                            }
                                            
                                           
                                            window.onload = createUploader_<?php  echo $input['name']; ?>; 
                                            
                                            $(document).ready(function(){
                                                $('#remove_<?php echo $input['name']; ?>').click(function(){
                                                   var obj=$(this);
                                                   var path= $('#upload_path_<?php echo OPTION_PRE.$input['name']; ?>').val();
                                                   var data= 'path='+path+'&action=C2_ajax_deletefile&rand='+ (new Date().getTime());
                                                       $.ajax({
                                                           type: "POST",
                                                           url: ajaxurl,
                                                           data: data,
                                                           dataType: "html",
                                                           success: function(json){
                                                            //  alert(json);
                                                                $('#upload_text_<?php echo OPTION_PRE.$input['name']; ?>').val('');
                                                                $('#upload_path_<?php echo OPTION_PRE.$input['name']; ?>').val('');
                                                                $('#file_uploaded_<?php echo $input['name']; ?>').html('');
                                                                obj.addClass('display_none');
                                                           }
                                                         }); 
                                                    });
                                            });    
                                     
                                     
                                    // END UPLOAD 
                                                
                                                </script>
                                                
                                                <div class="control">
                                                 <?php $save_value=$save_data[$input['name']]; // echo var_dump($save_value); 
                                                    if($is_default){
                                                            $save_value=$save_data['default_value'];
                                                        }
                                                 
                                                 ?>
                                                 <input type="text" class="regular-text code ks_input" value="<?php echo htmlspecialchars($save_value['url']); ?>" id="upload_text_<?php echo OPTION_PRE.$input['name']; ?>" name="<?php echo OPTION_PRE.$input['name']; ?>[url]"/>
                                                 <input type="hidden" id="upload_path_<?php echo OPTION_PRE.$input['name']; ?>" name="<?php echo OPTION_PRE.$input['name']; ?>[path]" value="<?php echo htmlentities(stripslashes($save_value['path'])); ?>" />
                                                </div>
                                                <div class="explain">
                                                    <?php echo $input['desc']; ?>
                                                </div>
                                                
                                                <div class="clear"></div>
                                                
                                                <div class="upload_action">
                                                    <div class="file_uploaded" id="file_uploaded_<?php echo $input['name']; ?>">
                                                    <?php 
                                                    $have_img=false;
                                                    if($save_value['url']!=""): $have_img= true; 
                                                    
                                                    ?>
                                                     <img src="<?php echo stripslashes($save_value['url']); ?>" alt="" />
                                                    <?php endif; ?>
                                                    
                                                    </div>
                                                    <div class="clear"></div>
                                                    
                                                    <div id="file-uploader-<?php echo $input['name']; ?>" class="upload_ajax">
                                                    </div>
                                                    
                                                    <div id="upload_loading_<?php echo $input['name']; ?>" class="upload_loading display_none"></div>
                                                    
                                                    <div class="remove_file qq-upload-button <?php echo (!$have_img) ? 'display_none' : ''; ?>" id="remove_<?php echo $input['name']; ?>">
                                                        Remove this file
                                                    </div>
                                                    
                                                    <div class="clear"></div>
                                                </div>
                                            
                                        </div>
                                    </div>
                                     
                                     <?php
                                     break;
                                     /** END UPLOAD ############################################################ */
                                     
                                     /** CATEGORIY  AND PAGE ############################################################ */
                                     case 'category': case 'page':
                                     ?>
                                     
                                     <div class="section section-select">
                                        <h3 class="heading"><?php echo $input['title']; ?></h3>
                                        <div class="option">
                                            <div class="control">
                                                <?php 
                                                
                                                $save_value=$save_data[$input['name']];
                                                 if($is_default){
                                                            $save_value=$save_data['default_value'];
                                                        }
                            
                                                 if(is_string($save_value)){
                                                    $save_value=(array) $save_value;
                                                 }
                                                 if(!$save_value){
                                                    $save_value=array();
                                                 }
                                                
                                                
                                                $class="select_one";
                                                $name=OPTION_PRE.$input['name'];
                                                $multiple=null;
                                                 if($input['multiple']){
                                                    $multiple='multiple="multiple"';
                                                    $class='select_multiple';
                                                    $name.='[]';
                                                 }
                                                
                                                 ?>
                                                <select <?php echo $multiple; ?> class="<?php echo $class; ?>" name="<?php echo $name; ?>" id="<?php echo OPTION_PRE.$input['name'] ?>">
                                                    
                                                   <?php if($input['type']=='category'): ?> 
                                                       <?php foreach($categories as $c): ?>
                                                       <option value="<?php echo $c->term_id; ?>" <?php  echo (in_array($c->term_id,$save_value)) ? 'selected="selected"' : ''; ?> ><?php echo $c->cat_name; ?> (<em><?php echo $c->count; ?></em>)</option>
                                                       <?php endforeach; ?> 
                                                       
                                                   <?php elseif($input['type']=='page'): ?>
                                                   
                                                        <?php foreach($pages as $c): ?>
                                                        <option value="<?php echo $c->ID; ?>" <?php  echo (in_array($c->ID,$save_value)) ? 'selected="selected"' : ''; ?> ><?php echo $c->post_title; ?></option>
                                                       <?php endforeach; ?> 
                                                   
                                                   <?php  endif;  ?>
                                                    
                                                </select>
                                            </div>
                                            <div class="explain">
                                                <?php echo $input['desc']; ?>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                     
                                     <?php
                                     break;  
                                     /** END CATEGORY AND PAGE ############################################################ */
                                      /** CHECKBOX ############################################################ */
                                    case 'on_off' :
                                    ?>
                                    <div class="section section-checkbox">
                                        <h3 class="heading"><?php echo $input['title']; ?></h3>
                                        <div class="option">
                                            <div class="control">
                                                 <?php if(is_array($input['options'])):  ?>
                                                 <?php foreach( $input['options'] as $option): ?>
                                                 <div class="check_on_off field switch">
                                                    <?php $save_value=$save_data[$option['name']]; 
                                                  //  echo var_dump($save_value);
                                                     if($is_default){
                                                            if($option['checked']){
                                                                $save_value=$option['value'];
                                                            }else{
                                                                $save_value=null;
                                                            }
                                                        }
                                                    ?>
                                                    <?php // if($save_value==$option['value']) : ?>
                                                    <label class="cb-enable <?php  echo ($save_value==$option['value']) ? 'selected' : ''; ?>"><span>On</span></label>
                                                    <label class="cb-disable <?php  echo ($save_value==$option['value']) ? '' : 'selected'; ?>"><span>Off</span></label>
                        
                                                    <input class=" checkbox" type="checkbox" value="<?php echo $option['value']; ?>" name="<?php echo OPTION_PRE.$option['name'] ?>" id="<?php echo OPTION_PRE.$option['name']; ?>" <?php echo ($save_value==$option['value']) ? 'checked="checked"' : ''; ?>/>&nbsp;&nbsp;&nbsp;<label for="<?php echo OPTION_PRE.$option['name']; ?>"><?php echo htmlspecialchars($option['label']); ?></label><br />
                                                 
                                                 <div class="clear"></div>
                                                 </div>
                                                 <?php  endforeach; ?>
                                                 <?php endif;  ?>
                                            </div>
                                            <div class="explain">
                                                <?php echo $input['desc']; ?>
                                            </div>
                                            <div class="clear"></div>
                                        </div>
                                    </div>
                                    
                                    <?php
                                    break;
                                    /** END CHECKBOX ############################################################ */
                                               
                                     } // end casse
                                   ?>
                            
                           
                           <?php endforeach; ?>
                        </div><!-- setting_content -->
                          
                    </div><!-- tab  -->           
                    <?php endforeach; ?>
                    
                    
                    
            </div> <!-- / ks_right -->
            <div style="clear: both;"></div>
            
            
           
            
        </div><!--/ks_content -->
        
        <div id="ks_footer">
            <p class="submit_right">
                <span class="loading display_none"></span>	<input type="submit" value="Save Changes" class="ajax_submit button-primary" name="submit"/>
            </p>
            <p class="reset_left">
                <?php $reset_onclick = 'onclick="if ( confirm(\'' . esc_js( __('Are you sure you want to reset?', 'c2framework') ) . '\') ) {return true;}return false;"'; ?>
                <input type="submit" <?php echo $reset_onclick ?> name="reset" value="Reset All Options To Default" style="float: left;" />
            </p>
        </div><!--/ ks_footer -->
        </form>
     <div style="clear: both;"></div>
    </div><!-- / ks_wrapper -->
    <!--
    <div id="wts_news" class="postbox hide-if-no-js">
        <h3 class="hndle"><span>Themes From <a href="http://wordpressthemestock.com" style="display:inline;">WordpressThemeStock.com</a></span></h3>
        <div class="inside clear-block"><ul style="display: block;"><li><a title="ATOM serves as the base framework for future WordPress themes I’ll be designing. Some features/Highlights of this theme: Context-aware layout selection Improved WordPress widgets (Pages, Text, Tag Cloud, Recent Comments, Calendar, Categories, Archives and Links) New widgets: Authors, Top Commenters, Posts, Twitter, Login, Tabs (the ability to group arbitrary […]" href="http://digitalnature.ro/projects/atom-test/" class="rsswidget">Atom</a> <span class="rss-date">October 18, 2010</span><div class="rssSummary">ATOM serves as the base framework for future WordPress themes I’ll be designing. Some features/Highlights of this theme: Context-aware layout selection Improved WordPress widgets (Pages, Text, Tag Cloud, Recent Comments, Calendar, Categories, Archives and Links) New widgets: Authors, Top Commenters, Posts, Twitter, Login, Tabs (the ability to group arbitrary […]</div></li><li><a title="I was pretty surprised by the amount of people using my themes, especially considering they started as “experiments”, so I have decided to dedicate my (freelancing) time entirely to WordPress. This means more and better themes! For the past 3 months I’ve been working on a new WordPress theme framework &ndash; Atom, which should help […]" href="http://digitalnature.ro/blog/finally/" class="rsswidget">Finally :D</a> <span class="rss-date">July 7, 2010</span><div class="rssSummary">I was pretty surprised by the amount of people using my themes, especially considering they started as “experiments”, so I have decided to dedicate my (freelancing) time entirely to WordPress. This means more and better themes! For the past 3 months I’ve been working on a new WordPress theme framework &ndash; Atom, which should help […]</div></li><li><a title="This is a short tutorial on how to properly translate a Wordpress theme. Mystique is used as example here. I will choose PoEdit as the translation application, since it's the easiest to use because of the simple user interface... […]" href="http://digitalnature.ro/blog/translating-a-wordpress-theme/" class="rsswidget">Translating a WordPress theme</a> <span class="rss-date">November 25, 2009</span><div class="rssSummary">This is a short tutorial on how to properly translate a Wordpress theme. Mystique is used as example here. I will choose PoEdit as the translation application, since it's the easiest to use because of the simple user interface... […]</div></li><li><a title="I had to do some improvements to the site because the old template was making it run very slow. I'm also working to add a forum section for the free themes as many people requested - the comment system is becoming impractical... […]" href="http://digitalnature.ro/blog/site-update/" class="rsswidget">Site update</a> <span class="rss-date">November 17, 2009</span><div class="rssSummary">I had to do some improvements to the site because the old template was making it run very slow. I'm also working to add a forum section for the free themes as many people requested - the comment system is becoming impractical... […]</div></li><li><a title="Mystique is a free WordPress theme that attempts to top commercial templates in terms of design and functionality. Some of its features include 4 theme widgets, page templates for different layout styles and a advanced interface for the theme settings… Support this project […]" href="http://digitalnature.ro/projects/mystique/" class="rsswidget">Mystique</a> <span class="rss-date">September 16, 2009</span><div class="rssSummary">Mystique is a free WordPress theme that attempts to top commercial templates in terms of design and functionality. Some of its features include 4 theme widgets, page templates for different layout styles and a advanced interface for the theme settings… Support this project […]</div></li></ul></div>
    </div>-->
    <div style="clear: both;"></div>
    </div><!-- / wts_wrapper -->
<?php 
}

function Cs_hook_panel(){
    global $themename,$theme_shortname,$theme_version,$wts_framwork_version;
 ?>   
 <div id="big_wrapper">
    <?php if($_POST['save']=='Y'){ ?>
            <div id="message" class="updated below-h2"><p><strong><?php echo $themename; ?>Settings Saved</strong></p></div>
    <?php } ?>
    <div id="ks_wrapper">
        <div id="ks_header">
            <div class="logo">
                <h1><?php echo $themename; ?> Theme Hooks</h1>
            </div>
            <ul class="theme_info">
                <li><a href="#">View Changelog</a></li>
                <li><a href="#">Theme Docs</a></li>
                <li><a href="http://www.wordpressthemestock.com">Theme Homepage</a></li>
            </ul>
            <ul class="theme_version">
                <li><span><?php echo $themename ?> version : <?php echo $theme_version ?></span></li>
                <li><span>DS framwork version : <?php echo $wts_framwork_version ?></span></li>
            </ul>
            <div class="icon-option"> </div>
        </div><!--/ks_header -->
        <div id="ks_content">
         <form action="" method="post" id="theme_option_form" enctype="multipart/form-data">
         
         
            <table cellspacing="0" class="wp-list-table widefat fixed posts">
	<thead>
	   <tr>
		<th style="" class="manage-column column-cb check-column" id="cb" scope="col"><input type="checkbox"></th>
        <th style="" class="manage-column" id="title" scope="col">Hook Name</th>
        <th style="" class="manage-column" id="author" scope="col">Code</th>
        <th style="" class="manage-column" id="categories" scope="col">Append To</th>
        <th style="" class="manage-column" id="short_code" scope="col">Short Code</th>
       	</tr>
	</thead>

	<tfoot>
    	<tr>
    		<th style="" class="manage-column column-cb check-column" scope="col"><input type="checkbox"></th>
            <th style="" class="manage-column" scope="col">Hook Name</th>
            <th style="" class="manage-column" scope="col">Code</th>
            <th style="" class="manage-column" scope="col">Append To</th> 
            <th style="" class="manage-column" scope="col">Short Code</th>	
        </tr>
	</tfoot>

<tbody id="the-list">

<tr valign="top" class="alternate author-self status-draft format-default iedit" id="post-33">
    <th class="check-column" scope="row"><input type="checkbox" value="33" name="post[]"></th>
          
    <td class="post-title page-title column-hookname">
        <strong><a title="" href="#" class="row-title">no title</a></strong>
        <div class="row-actions">
        <span class="edit"><a title="Edit this item" href="#">Edit</a> | </span>
        <span class="trash"><a href="#" title="Move this item to the Trash" class="submitdelete">Delete</a></span>
        </div>
     </td>
        
    <td class="author column-code"><a href="#">admin</a></td>
    <td class="categories column-appendto"><a href="#">Uncategorized</a></td>
    <td class="tags column-shortcode">No Tags</td>
</tr>
                
</tbody>

</table>
         
         
         </form>
        </div><!-- #ks_content -->
        
        <div id="ks_footer">
            <p class="submit_right">
                <span class="loading display_none"></span>	<input type="submit" value="Add New" class="button-primary" name="submit"/>
            </p>
            
        </div><!--/ ks_footer -->
    </div><!-- #ks_wrapper -->
</div><!-- #ks_wrapper-->
    
    
<?php   
} // end function Cs_hook_panel
?>