<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @package C2 Framework
 * @copyright 2011
 */

/*-----------------------------------------------------------------------------------*/
/*-----: Dynamic Control Layout :-----*/
/*-----------------------------------------------------------------------------------*/

/*
1. HEADER
2. SLIDER
3. MAIN
    3.1. Primary Sidebar = Small Sidebar
    3.2. Secondary Sidebar = Big Sidebar
    3.3. Main Content
    3.4. Get Main Content
4. FOOTER
/*




/*-----: 3.4. GET MAIN :-----*/

function C2_Main_Layout($main_variable){
    global $data;
    switch ($main_variable){
        case 'c' :
            C2_Main_Content();
        break;
        
        case 'c_sb':
            C2_Main_Content();
            C2_Big_Sidebar();
        break;
        
        case 'sb_c' :
            C2_Big_Sidebar();
            C2_Main_Content();
        break;
        
        case 'sb_c_sb' : 
            C2_Small_Sidebar();
            C2_Main_Content();
            C2_Big_Sidebar();
        break;  
        
        case 'sb_sb_c' : 
            C2_Small_Sidebar();
            C2_Big_Sidebar();
            C2_Main_Content();
        break;
        
        case 'c_sb_sb' :
            C2_Main_Content();
            C2_Big_Sidebar();
            C2_Small_Sidebar();
        break;
        
        default :
            C2_Main_Content();
            C2_Big_Sidebar();
        
    }
}



/*-----------------------------------------------------------------------------------*/
/*-----: 4 . FOOTER LAYOUT :-----*/
/*-----------------------------------------------------------------------------------*/

function C2_Footer_Columns(){
    
    global $data;
    $footer_variable = $data['footer_columns'];
    
    switch ($footer_variable){
        
        case '0' :

        break;
        
        case '1' :
            
            ?>
            <ul id="footer_one_column" class="grid_12 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns First") ) : 
            endif; ?> 
            </ul>
            <?php
        
        break;
        
        case '2':
            ?>
            <ul class="grid_6 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
                || !dynamic_sidebar("Footer Columns First") ) : 
            endif; ?> 
            </ul>
            <ul class="grid_6 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns Second") ) : 
            endif; ?> 
        </ul>
            <?php
        break;
        
        case '3':
            
            ?>
            <ul class="grid_4 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns First") ) : 
            endif; ?> 
            </ul>
            <ul class="grid_4 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns Second") ) : 
            endif; ?> 
            </ul>
            <ul class="grid_4 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns Third") ) : 
            endif; ?> 
        </ul>
            <?php 
            
        break;
        
        case '4':
            
            ?>
            <ul class="grid_3 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns First") ) : 
            endif; ?> 
            </ul>
            <ul class="grid_3 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns Second") ) : 
            endif; ?> 
            </ul>
            <ul class="grid_3 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns Third") ) : 
            endif; ?> 
            </ul>
            <ul class="grid_3 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
            || !dynamic_sidebar("Footer Columns Fourth") ) : 
            endif; ?> 
            </ul>
            <?php
            
        break;
        
        default :
        
            ?>
            <ul class="grid_4 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
                || !dynamic_sidebar("Footer Columns First") ) : 
            endif; ?> 
            </ul>
            <ul class="grid_4 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
                || !dynamic_sidebar("Footer Columns Second") ) : 
            endif; ?> 
            </ul>
            <ul class="grid_4 footer_columns">
            <?php if ( !function_exists('dynamic_sidebar')
                || !dynamic_sidebar("Footer Columns Third") ) : 
            endif; ?> 
            </ul>
            <?php
        
    } 
} // End function C2_Get_Footer






/*-----------------------------------------------------------------------------------*/
/*-----: Please explain function name here :-----*/
/*-----------------------------------------------------------------------------------*/




?>