<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @copyright 2011
 */

/*-----------------------------------------------------------------------------------*/
/*-----: Twitter Tweets News :-----*/
/*-----------------------------------------------------------------------------------*/

// Define theme name
global $themename;

// Start here


/*-----------------------------------------------------------------------------------*/
/*-----: Twitter Tweets News :-----*/
/*-----------------------------------------------------------------------------------*/

     class Wts_Widget_Twitter_Tweets extends WP_Widget {
         function Wts_Widget_Twitter_Tweets() {
            
            //Constructor
            global $themename;
            $widget_ops = array('classname' => 'widget_twitter_tweets', 
                                'description' => 'Displays your latest twitter tweets' );
            $this->WP_Widget('Wts_Widget_Twitter_Tweets', $themename . ' Twitter Tweets', $widget_ops);
         }
          
         function widget($args, $instance) {
            // prints the widget
            extract($args);
            
            //variables from widget setting
            $title = apply_filters('widget_title', $instance['title']);
            $username = $instance['username'];
            $tweets_count = $instance['tweets_count'];
             
            // Before Widget :
            echo $before_widget;
            
            // Display Widget Title if one was input .
            if($title)
                echo $before_title.$title.$after_title; // Before_title and After_title define by theme . ?>
                
                <div id="twitter_div" class="clearfix">
                    <ul id="twitter_update_list">
                        <li>&nbsp;</li>
                    </ul>
                    <p><?php _e('Follow ','c2framework'); ?><a class="twitter_profile" href="http://twitter.com/<?php echo $username ?>"><?php echo $username; ?></a><?php _e(' on Twitter','c2framework') ?></p>
                </div>
                <script type="text/javascript" src="http://twitter.com/javascripts/blogger.js"></script>
			     <script type="text/javascript" src="http://twitter.com/statuses/user_timeline/<?php echo $username ?>.json?callback=twitterCallback2&amp;count=<?php echo $tweets_count; ?>"></script>
            
         <?php
            // After Widget
            echo $after_widget;
         }
          
         function update($new_instance, $old_instance) {
            //save the widget
            $instance = $old_instance;
            
            // Only text inputs
            $instance['title'] = strip_tags($new_instance['title']);
            
            $instance['username'] = $new_instance['username'];
            $instance['tweets_count'] = $new_instance['tweets_count'];
            
            return $instance;
         }
          
         function form($instance) {
            //widgetform in backend
            
            //default widget settings.
            $defaults_setting = array(
                'title' => '',
                'username' => 'wordpress',
                'tweets_count' => '3'
            );
            $instance = wp_parse_args( (array) $instance, $defaults_setting );
            ?>
            
            <!-- Widget Title -->
            <p>
                <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
            </p>
            
            <!-- Twitter Username -->
            <p>
                <label for="<?php echo $this->get_field_id( 'username' ); ?>"><?php _e('Twitter Username:', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" />
            </p>
            
            <!-- Tweets Counts -->
            <p>
                <label for="<?php echo $this->get_field_id( 'tweets_count' ); ?>"><?php _e('Number of tweets:', $themename) ?></label>
			    <input class="widefat" id="<?php echo $this->get_field_id( 'tweets_count' ); ?>" name="<?php echo $this->get_field_name( 'tweets_count' ); ?>" value="<?php echo $instance['tweets_count']; ?>" />
            </p>
         <?php   
         }
     }
     
     function Wts_Widget_TwitterTweets(){
        register_widget('Wts_Widget_Twitter_Tweets');
     }
     
     add_action( 'widgets_init', 'Wts_Widget_TwitterTweets' );
?>