<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @copyright 2011
 */
 
/*-----------------------------------------------------------------------------------*/
/*      Start WordpressThemeStock Function - http://wordpressthemestock.com          */
/*-----------------------------------------------------------------------------------*/

/* ------- WTS FRAMEWORK INIT - ADMIN SETTING -------- */

  
function C2_settings(){
    $settings=array(
          'general' => array(
                'tab_title'=>'General Settings',
                'inputs'=>array(
                             array(
                                'name'=>'logo',
                                'title'=>'Display Blog Title or Custom Logo',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>'', 
                                'options'=>array(
                                                array('value'=>'custom_title','label'=>'Display Blog Title and description ','checked'=>true),
                                                array('value'=>'custom_logo','label'=>'Display Logo') //  array('value', lable for value)
                                            )
                             ),
                             array(
                                'name'=>'logo_url',
                                'title'=>'Upload Your Logo',
                                'type'=>'upload', // text, checkbox, password, radio, textarea
                                'multiple'=>false,  // 
                                'default_value'=>"", // default value
                                'desc'=>"Upload your logo ." 
                             ),
                             array(
                                'name'=>'theme_style',
                                'title'=>'Theme Style',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>'', 
                                'options'=>array(
                                                array('value'=>'default','label'=>'Default Black','checked'=>true), //  array('value', lable for value)
                                                array('value'=>'blue','label'=>'Blue'),
                                                array('value'=>'lime','label'=>'lime'),
                                                array('value'=>'pink','label'=>'pink'),
                                                array('value'=>'red','label'=>'red')
                                            )
                             ),
                             array(
                                'name'=>'header_tracking_code',
                                'title'=>'Header tracking code',
                                'type'=>'textarea', // text, checkbox, password, radio, textarea 
                                'desc'=>"Paste your code here . This will be added into the header template of your theme , before </head> html tag",
                                'default_value'=>'' 
                             ),
                             array(
                                'name'=>'footer_tracking_code',
                                'title'=>'Footer tracking code',
                                'type'=>'textarea', // text, checkbox, password, radio, textarea 
                                'desc'=>"Paste your code here (eg : Google Analytics ). This will be added into the footer template of your theme",
                                'default_value'=>'' 
                             ),  
                             array(
                                'name'=>'custom_css',
                                'title'=>'Custom Css',
                                'type'=>'textarea', // text, checkbox, password, radio, textarea 
                                'desc'=>"Paste your css code here .",
                                'default_value'=>'' 
                             ) 
                             
                                      
                    )// end inputs
                
                ),    // end tab
                
                 //-------------------------------------------------------------
                'Homepage' => array(
                'tab_title'=>'Homepage Settings',
                'inputs'=>array(
                             array(
                                'name'=>'article_appearance',
                                'title'=>'Article Appearance on frontpage and category overview pages',
                                'type'=>'text', // text, checkbox, password, radio, textarea 
                                'color'=>false,// true | false
                                'default_value'=>"3", // default value
                                'desc'=>"Articles can either take the full width of the content column or can be displayed as small articles, always 2 besides each other. How many full sized articles do you want to display before articles are shown half sized?" 
                             ),
                             array(
                                'name'=>'article_appearance_sub',
                                'title'=>'Article Appearance on following pages ',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>"How to display your posts on page 2,3,4 etc if too many articles are on your first page and worpress starts to paginate" ,
                                'options'=>array(
                                                array('value'=>'1','label'=>'Use the same that was defined for frontpages','checked'=>true), // 0 = default setting
                                                array('value'=>'2','label'=>'Only small articles'),
                                                array('value'=>'3','label'=>'Only big articles')
                                            )
                             )
                                     
                                      
                    )// end inputs
                
                ),   // end tab
                
                //--------------------------------------------------
                
                
                //-------------------------------------------------------------
                'layout_setting' => array(
                'tab_title'=>'Layout Settings',
                'inputs'=>array(
                             // Main Content Layout
                             array(
                                'name'=>'sb_layout',
                                'title'=>'Stretched or boxed layout? ',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>"Stretched or boxed layout?" ,
                                'options'=>array(
                                                array('value'=>'0','label'=>'Stretched','checked'=>true), // 0 = default setting
                                                array('value'=>'1','label'=>'Boxed')
                                            )
                             ),
                             array(
                                'name'=>'main_content_layout',
                                'title'=>'Select your main layout ',
                                'type'=>'layout', // 
                                'desc'=>"The main content come with 6 layouts , select layout which you like .", 
                                'options'=>array(
                                                array('value'=>'c','label'=>'','img_src'=>THEME_ADMIN_URL.'images/layout_1.jpg'), //  array('value', lable for value)
                                                array('value'=>'sb_c','label'=>'','img_src'=>THEME_ADMIN_URL.'images/layout_2.jpg'),
                                                array('value'=>'c_sb','label'=>'','img_src'=>THEME_ADMIN_URL.'images/layout_3.jpg','checked'=>true),
                                                array('value'=>'sb_c_sb','label'=>'','img_src'=>THEME_ADMIN_URL.'images/layout_4.jpg'),
                                                array('value'=>'sb_sb_c','label'=>'','img_src'=>THEME_ADMIN_URL.'images/layout_5.jpg'),
                                                array('value'=>'c_sb_sb','label'=>'','img_src'=>THEME_ADMIN_URL.'images/layout_6.jpg'),      
                                            )
                             ),
                             // Footer Layout
                             array(
                                'name'=>'footer_columns',
                                'title'=>'Select Your Footer Columns',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>"The big footer come with 4 layout , 1 or 2 or 3 or 4 columns" ,
                                'options'=>array(
                                                array('value'=>'0','label'=>'Select your big footer columns','checked'=>true), // 0 = default setting
                                                array('value'=>'1','label'=>'Footer 1 columns'),
                                                array('value'=>'2','label'=>'Footer 2 columns'),
                                                array('value'=>'3','label'=>'Footer 3 columns'),
                                                array('value'=>'4','label'=>'Footer 4 columns'),
                                            )
                             )
                                     
                                      
                    )// end inputs
                
                ),   // end tab
                
                //-------------------------------------------------------------
                'scrolable_slider' => array(
                'tab_title'=>'Scrolable and Slider',
                'inputs'=>array(
                             array(
                                'name'=>'nivo_display_t',
                                'title'=>'Nivo Slider : Display on homepage',
                                'type'=>'on_off', // text, checkbox, password, radio, textarea 
                                'desc'=>"Do you want to display nivo slider on homepage?" ,
                                'options'=>array(array('name'=>'nivo_display_v','value'=>'1','label'=>'','checked' => true))
                             ),
                             array(
                                'name'=>'nivo_post_number',
                                'title'=>'Nivo Slider : Number of posts',
                                'type'=>'text', // text, checkbox, password, radio, textarea 
                                'color'=>false,// true | false
                                'default_value'=>"6", // default value
                                'desc'=>"Number of post to show on nivo slider" 
                             ),
                             array(
                                'name'=>'nivo_categories',
                                'title'=>'Nivo slider : Select posts form categories :',
                                'type'=>'category', // text, checkbox, password, radio, textarea
                                'multiple'=>true,  // 
                                'default_value'=>"", // default value
                                'desc'=>"" 
                             ),
                             array(
                                'name'=>'nivo_order',
                                'title'=>'Nivo slider : Order Posts',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>"More here : http://codex.wordpress.org/Function_Reference/query_posts#Order_.26_Orderby_Parameters" ,
                                'options'=>array(
                                                array('value'=>'DESC','label'=>'DESC','checked'=>true), // 0 = default setting
                                                array('value'=>'ASC','label'=>'ASC')
                                            )
                             ),
                             array(
                                'name'=>'nivo_sort',
                                'title'=>'Nivo slider : Sort retrieved posts',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>"" ,
                                'options'=>array(
                                                array('value'=>'none','label'=>'No order','checked'=>true), // 0 = default setting
                                                array('value'=>'id','label'=>'Order by post id'),
                                                array('value'=>'title','label'=>'Order by title'),
                                                array('value'=>'comment_count','label'=>'Order by number of comments'),
                                                array('value'=>'date','label'=>'Order by date'),
                                            )
                             )
                                     
                                      
                    )// end inputs
                
                ),   // end tab
                
                //--------------------------------------------------
                
                //-------------------------------------------------------------
                'Social' => array(
                'tab_title'=>'Social',
                'inputs'=>array(
                            array(
                                'name'=>'email',
                                'title'=>'Email contact link :',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your contact link , include "http://"' 
                             ),
                             array(
                                'name'=>'feed',
                                'title'=>'Your feed link :',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your feed link , include "http://"'  
                             ),
                             array(
                                'name'=>'twitter',
                                'title'=>'Twitter',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>'Enter your full social link , include "http://"'
                             ),
                             array(
                                'name'=>'facebook',
                                'title'=>'Facebook',
                                'type'=>'text', 
                                'color'=>false,
                                'default_value'=>"", 
                                'desc'=>"" 
                             )
                                     
                                      
                    )// end inputs
                
                ),   // end tab
                
                //--------------------------------------------------
                
                
                //-------------------------------------------------------------
                'Tab_id3' => array(
                'tab_title'=>'Tab Name3',
                'inputs'=>array(
                             array(
                                'name'=>'anabme_1yu23sf',
                                'title'=>'This is title Test text',
                                'type'=>'text', // text, checkbox, password, radio, textarea 
                                'color'=>false,// true | false
                                'default_value'=>"123", // default value
                                'desc'=>"this is descritpions text" 
                             )
                                     
                                      
                    )// end inputs
                
                ),   // end tab
                
                //-------------------------------------------------------------
                'All_element' => array(
                'tab_title'=>'All element',
                'inputs'=>array(
                             array(
                                'name'=>'anabme_c',
                                'title'=>'Categories one only',
                                'type'=>'category', // text, checkbox, password, radio, textarea
                                'multiple'=>false,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                             
                             array(
                                'name'=>'anabme_c_af_Hiih',
                                'title'=>'Categories multiple',
                                'type'=>'category', // text, checkbox, password, radio, textarea
                                'multiple'=>true,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                             
                             array(
                                'name'=>'anabme_p1',
                                'title'=>'pages',
                                'type'=>'page', // text, checkbox, password, radio, textarea
                                'multiple'=>false,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                             
                             array(
                                'name'=>'anabme_p1_m',
                                'title'=>'pages multiple',
                                'type'=>'page', // text, checkbox, password, radio, textarea
                                'multiple'=>true,  // 
                                'default_value'=>"123", // default value
                                'desc'=>"Especially considering they started" 
                             ),
                             
                             array(
                                'name'=>'name_3_sa',
                                'title'=>'This is title chekbox Width on of',
                                'type'=>'on_off', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions checkbox" ,
                                'options'=>array(
                                                array('name'=>'c1_sa','value'=>'value1','label'=>'label for value 1','checked'=>true), //  array('name','value', lable for value , is check ed)
                                                array('name'=>'c2_sa','value'=>'value2','label'=>'label for value 2','checked'=>true),
                                                array('name'=>'c3_sa','value'=>'value3','label'=>'label for value 3','checked'=>false),
                                                array('name'=>'c4_sa','value'=>'value4','label'=>'label for value 4','checked'=>false)
                                            )
                             ),
							 array(
                                'name'=>'ksonoff',
                                'title'=>'Test',
                                'type'=>'on_off', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions checkbox" ,
                                'options'=>array(array('name'=>'c1_sa','value'=>'value1','label'=>'label for value 1','checked'=>false))
                             ),
                             
                             
                             
                             array(
                                'name'=>'anabme_123',
                                'title'=>'Theme Stylesheet',
                                'type'=>'text', // text, checkbox, password, radio, textarea 
                                'color'=>false,// true | false
                                'default_value'=>"123", // default value
                                'desc'=>"I was pretty surprised by the amount of people using my themes, especially considering they started" 
                             ),
                             
                             
                             array(
                                'name'=>'anabme_1',
                                'title'=>'This is title text',
                                'type'=>'text', // text, checkbox, password, radio, textarea 
                                'color'=>true,// true | false
                                'default_value'=>"123", // default value
                                'desc'=>"this is descritpions text" 
                             ),
                             
                             
                              array(
                                'name'=>'bnamne_2sf',
                                'title'=>'This is title password',
                                'type'=>'password', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions password" 
                             ),
                             
                             array(
                                'name'=>'name_3',
                                'title'=>'This is title chekbox',
                                'type'=>'checkbox', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions checkbox" ,
                                'options'=>array(
                                                array('name'=>'c1','value'=>'value1','label'=>'label for value 1','checked'=>true), //  array('name','value', lable for value , is check ed)
                                                array('name'=>'c2','value'=>'value2','label'=>'label for value 2','checked'=>true),
                                                array('name'=>'c3','value'=>'value3','label'=>'label for value 3','checked'=>false),
                                                array('name'=>'c4','value'=>'value4','label'=>'label for value 4','checked'=>false)
                                            )
                             ),
                             array(
                                'name'=>'name_4_78dds08sjh',
                                'title'=>'This is title For select layout 2',
                                'type'=>'layout', // 
                                'desc'=>"this is descritpions select layout 2", 
                                'options'=>array(
                                                array('value'=>'value1','label'=>'label for value 1'), //  array('value', lable for value)
                                                array('value'=>'value2','label'=>'label for value 2'),
                                                array('value'=>'value3','label'=>'label for value 3','checked'=>true),
                
                                            )
                             ),
                             
                             
                             array(
                                'name'=>'name_4_rd_jdhsjh',
                                'title'=>'This is title radio',
                                'type'=>'radio', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions radio", 
                                'options'=>array(
                                                array('value'=>'value1','label'=>'label for value 1'), //  array('value', lable for value)
                                                array('value'=>'value2','label'=>'label for value 2'),
                                                array('value'=>'value3','label'=>'label for value 3','checked'=>true),
                
                                            )
                             ),
                              array(
                                'name'=>'name_4',
                                'title'=>'This is title select',
                                'type'=>'select', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions select" ,
                                'options'=>array(
                                                array('value'=>'value1','label'=>'label for value 1'), //  array('value', option name for value)
                                                array('value'=>'value2','label'=>'label for value 2'),
                                                array('value'=>'value3','label'=>'label for value 3'),
                                                array('value'=>'value4','label'=>'label for value 4'),
                                                array('value'=>'value5','label'=>'label for value 5'),
                                            )
                             ),
                             
                             array(
                                'name'=>'name_5',
                                'title'=>'This is title textarea',
                                'type'=>'textarea', // text, checkbox, password, radio, textarea 
                                'desc'=>"this is descritpions textarea" 
                             )            
                                      
                    )// end inputs
                
                ),    // end tab
                
                //--------------------------------------------------
                 
    );// end settins 
    return $settings;
}

?>