<?php

/**
 * @author WTS Team - http://wordpressthemestock.com
 * @package C2 Platform.
 * @copyright 2011
 */

/*-----------------------------------------------------------------------------------*/
/*-----: Theme Functions Area :-----*/
/*-----------------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------------*/
/*-----: C2 Nivo Slider :-----*/
/*-----------------------------------------------------------------------------------*/
function C2_nivo_slider(){
    global $post,$data;
    
    // Check width + Height of Slider
    /*
    if($data['main_content_layout'] == 'c'){
        $main_grid = 'grid_12';
        $slider_width = '940';
        $slider_height = '500';
    }elseif($data['main_content_layout'] == 'sb_c_sb' or $data['main_content_layout'] == 'sb_sb_c' or $data['main_content_layout'] == 'c_sb_sb'){
        $main_grid = 'grid_6';
        $slider_width = '460';
        $slider_height = '300';
    }else{
        $main_grid = 'grid_8';
        $slider_width = '620';
        $slider_height = '300';
    }
    */
    $slider_width = '920';
    $slider_height = '350';
    // Some variable to get post for Nivo Slider
    
    if($data['nivo_post_number'] == '') : $nivo_post_number = '4'; else : $nivo_post_number = $data['nivo_post_number']; endif;
    $nivo_categories = $data['nivo_categories'];
    if($data['nivo_order'] == '') : $nivo_order = 'DESC'; else : $nivo_order = $data['nivo_order']; endif;
    if($data['nivo_sort'] == '') : $nivo_sort = 'none'; else : $nivo_sort = $data['nivo_sort']; endif;
    
    if(is_array($nivo_categories)){
        $nivo_categories=join(',',$nivo_categories);
    }
    
    $args = array(
            'numberposts'     => $nivo_post_number,
            'offset'          => '0',
            'category'        => $nivo_categories,
            'orderby'         => $nivo_sort,
            'order'           => $nivo_order,
            'include'         => '',
            'exclude'         => '',
            'meta_key'        => '',
            'meta_value'      => '',
            'post_type'       => 'post',
            'post_mime_type'  => '',
            'post_parent'     => '',
            'post_status'     => 'publish' 
        );
    
    // Query Posts
    $post_content_boxs = get_posts($args); 
    ?>
    <div id="nivo_slider">
    <div class="nivo_grid12">
    <div id="slider" class="nivoSlider">
    <?php
    foreach( $post_content_boxs as $post ) :	setup_postdata($post);
        $postID = get_the_ID();
        $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
        ?>
        <?php if ( has_post_thumbnail()) { ?>
            <a href="<?php the_permalink(); ?>">
                <img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo $large_image_url[0]; ?>&#38;h=<?php echo $slider_height ?>&#38;w=<?php echo $slider_width; ?>&#38;zc=1" alt="<?php the_title(); ?>" title="#caption-<?php echo $postID;  ?>" />
            </a>
        <?php }else{ ?>
            <a href="<?php the_permalink(); ?>">
                <img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo THEME_IMG . '/pending.png' ?>&#38;h=<?php echo $slider_height ?>&#38;w=<?php echo $slider_width; ?>&#38;zc=1" alt="<?php the_title(); ?>" title="#caption-<?php echo $postID;  ?>" />
            </a>
        <?php } ?>
        <?php
    endforeach;
    ?>
    </div>
    <?php
    foreach( $post_content_boxs as $post ) :setup_postdata($post);
    $postID = get_the_ID();
    ?>
    <div id="caption-<?php echo $postID;  ?>" class="nivo-html-caption">
        <h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
        <?php the_excerpt(); ?>
    </div>
    <?php
    endforeach;
    ?>
    </div><!--/ end grid_12 -->
    <div class="clear"></div>
    </div>
    <?php
    wp_reset_query();
}
/*-----------------------------------------------------------------------------------*/
/*-----: C2 Comment list :-----*/
/*-----------------------------------------------------------------------------------*/
function C2_comments($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
      <div class="gravatar">
      	<?php echo get_avatar($comment,$size='60',$default='' ); ?>
      </div>
      <div class='comment_content'>
      <p class="comment_time"><?php printf(__('<b class="author_name">%s</b>'), get_comment_author_link()) ?>&nbsp;<!--<a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>">--><?php printf(__('%1$s'), get_comment_date('M-j, Y')) ?></p><!--</a>-->
      <?php edit_comment_link(__('(Edit)'),'  ','') ?><?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
	  <div class='comment_text'>
      <?php comment_text() ?>
      <?php if ($comment->comment_approved == '0') : ?>
        <br /> <em><?php _e('Your comment is awaiting moderation.','c2framework') ?></em>
      <?php endif; ?>
	  </div>
      </div>
     </div>
<?php
}

/*-----------------------------------------------------------------------------------*/
/*-----: C2 PageNavigation Function :-----*/
/*-----------------------------------------------------------------------------------*/

function C2_pagination($pages = '', $range = 2)
{  
     $showitems = ($range * 2)+1;  

     global $paged;
     if(empty($paged)) $paged = 1;

     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }   

     if(1 != $pages)
     {
         echo "<div class='pagination'>";
         echo '<span class="all_page">Page '.$paged." of ".$pages."</span>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo;</a>";
         if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
             }
         }

         if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>&raquo;</a>";
         echo "</div>\n";
     }
}
/*
function C2_big_scrollable(){
    global $data;
    if ($data['scrollable_post_number'] == '' or $data['scrollable_post_number'] < 4) { $scrollable_post_number = '4'; } else { $scrollable_post_number = $data['scrollable_post_number']; }
    $categories = $data['scrollable_categories'];
    if($data['scrollable_order'] == '') : $scrollable_order = 'DESC'; else : $scrollable_order = $data['scrollable_order']; endif;
    if($data['scrollable_sort'] == '') : $scrollable_sort = 'none'; else : $scrollable_sort = $data['scrollable_sort']; endif;
?>
<div id="big_scrollable">
    <div class="container_12">
            <div class="scrollable">
                <ul>
                    <?php 
                    global $post;
                    
                    if(is_array($categories)){
                        $categories=join(',',$categories);
                    }
                    
                    $args = array(
                            'numberposts'     => $scrollable_post_number,
                            'offset'          => '0',
                            'category'        => $categories,
                            'orderby'         => $scrollable_sort,
                            'order'           => $scrollable_order,
                            'include'         => '',
                            'exclude'         => '',
                            'meta_key'        => '',
                            'meta_value'      => '',
                            'post_type'       => 'post',
                            'post_mime_type'  => '',
                            'post_parent'     => '',
                            'post_status'     => 'publish' 
                        );
                    
                    $post_content_boxs = get_posts($args); // wp query post
                    $post_result = 0;$i=0;
                    $count = count($post_content_boxs);
                    foreach( $post_content_boxs as $post ) :	setup_postdata($post);$post_result++ ; // the Loop
                        $postID = get_the_ID();
                        $large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
                        $post_title = stripslashes($post->post_title);
			            $post_date = $post->post_date;
    				    $post_date = mysql2date('M d, Y', $post_date, false);
    				    $permalink = get_permalink($post->ID);
                    ?>
                    
                        <li class="grid_3 big_scroll_item">
                            <div class="big_scroll_thumb post_thumb">
                                    <?php if ( has_post_thumbnail()) { ?>  
                                    <img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo $large_image_url[0]; ?>&#38;h=110&#38;w=220&#38;zc=1" alt="<?php the_title(); ?>" />
                                    <?php } else{ ?>
                                    <img src="<?php echo THEME_INCLUDE.'/thumb.php' ?>?src=<?php echo THEME_IMG . '/pending.png' ?>&#38;h=110&#38;w=220&#38;zc=1" alt="<?php the_title(); ?>" />
                                    <?php } ?>
                            </div>
                            <div class="big_scroll_text">
                                <h3 class="entry_title"><a href="<?php echo $permalink; ?>"  title="<?php _e('Permanent Link:','c2framework'); echo ' '; echo $post_title; ?>"><?php echo $post_title; ?></a></h3>
                                <p class="scroll_post-meta"><?php echo $post_date; ?> | <?php comments_popup_link(__('No Comments','c2framework'), __('1 Comment','c2framework'), __('% Comments','c2framework')); ?></p>
                            </div>
                        </li>
                    
                    <?php 
                    endforeach; 
                    wp_reset_query();
                    ?>
                </ul>
            </div><!-- / scrollable -->
            <div class="grid_6">
                <div class="big_scroll_prev"></div>
            </div>
            <div class="grid_6">
                <div class="big_scroll_next"></div>
            </div>
            <div class="clear"></div>
    </div>
</div><!-- / Big slider -->
<div class="clear"></div>
<?php 
}
*/
?>